import glob
import re

def Main():
  fnames = glob.glob("log_*.html")
  timecounts = {}
  for fname in fnames:
    h = open(fname).read()
    ts_l = re.findall("<td>201./../.. (..:..):..</td>", h)
    for ts in ts_l:
      (hs, ms) = ts.split(":")
      hi = int(hs) - 7 # pacific daylight time is UTC -7
      if hi < 0: hi += 24
      key = "%02d" % (hi) + ":" + ms[:1]
      if not key in timecounts: timecounts[key] = 0
      timecounts[key] += 1
      key = "%02d" % (hi) + ":" 
      if not key in timecounts: timecounts[key] = 0
      timecounts[key] += 1

  for h in range(0, 24):
    key = "%02d" % (h) + ":"
    print key + "??", "x" * (timecounts[key] * 3 / 4)
    continue
    for m10 in range(0, 60, 10):
      key = "%02d" % (h) + ":" + ("%02d" % (m10))[:1]
      if key in timecounts:
        print key + "?", "x" * timecounts[key]
      else:
        print key + "?"

if __name__ == "__main__":
    Main()
